Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.strategy.accounting
Enum BarteringAccountantType

    java.lang.Object
      java.lang.Enum<BarteringAccountantType>
          lbg.peer.strategy.accounting.BarteringAccountantType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BarteringAccountantType>

    public enum BarteringAccountantType

extends java.lang.Enum<BarteringAccountantType>

Author:
  Cyril Briquet

Enum Constant Summary
`LBGRelativePowerAccountant`
`LBGTimeAccountant`
`NoEvalAccountant`
`OGPerfectAccountant`
`OGRelativePowerAccountant`
`OGTimeAccountant`

Method Summary
`abstract BarteringAccountantPolicy` | `createAccountant(Peer peer)`
`static java.lang.String` | `getPDPLabel()`
`static java.lang.String[]` | `getPolicyLabels()`
`abstract boolean` | `isBarteringStrategy()`
`static int` | `size()`
`static BarteringAccountantType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BarteringAccountantType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoEvalAccountant

    public static final BarteringAccountantType NoEvalAccountant

### OGPerfectAccountant

    public static final BarteringAccountantType OGPerfectAccountant

### OGTimeAccountant

    public static final BarteringAccountantType OGTimeAccountant

### OGRelativePowerAccountant

    public static final BarteringAccountantType OGRelativePowerAccountant

### LBGTimeAccountant

    public static final BarteringAccountantType LBGTimeAccountant

### LBGRelativePowerAccountant

    public static final BarteringAccountantType LBGRelativePowerAccountant

Method Detail

### values

    public static final BarteringAccountantType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BarteringAccountantType c : BarteringAccountantType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BarteringAccountantType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### createAccountant

    public abstract BarteringAccountantPolicy createAccountant(Peer peer)
                                                        throws GridException

  Throws:
    `GridException`

### isBarteringStrategy

    public abstract boolean isBarteringStrategy()

### getPDPLabel

    public static final java.lang.String getPDPLabel()

### size

    public static int size()

### getPolicyLabels

    public static java.lang.String[] getPolicyLabels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.